Package org.eclipse.microprofile.openapi.models.security

## Enum SecurityScheme.In

- java.lang.Object
- - java.lang.Enum<SecurityScheme.In>
  - - org.eclipse.microprofile.openapi.models.security.SecurityScheme.In

All Implemented Interfaces:
  `Serializable`, `Comparable<SecurityScheme.In>`

Enclosing interface:
  SecurityScheme

    public static enum SecurityScheme.In
    extends Enum<SecurityScheme.In>

In is a REQUIRED property that specifies the location of the API key.

This class is used in getIn and setIn to get or set the in of SecurityScheme object to one of the enum constants listed.

### Enum Constant Summary

Enum Constants
`COOKIE`
`HEADER`
`QUERY`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()`
`static SecurityScheme.In` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SecurityScheme.In[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### COOKIE

    public static final SecurityScheme.In COOKIE

#### HEADER

    public static final SecurityScheme.In HEADER

#### QUERY

    public static final SecurityScheme.In QUERY

### Method Detail

#### values

    public static SecurityScheme.In[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SecurityScheme.In c : SecurityScheme.In.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SecurityScheme.In valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<SecurityScheme.In>`